ledger_cli_flutter 0.2.3 copy "ledger_cli_flutter: ^0.2.3" to clipboard
ledger_cli_flutter: ^0.2.3 copied to clipboard

Flutter components for displaying ledger-cli data

example/lib/main.dart

import 'package:flutter/material.dart';
import 'package:ledger_cli/ledger_cli.dart';
import 'package:ledger_cli_flutter/ledger_cli_flutter.dart';

void main() {
  runApp(
    MaterialApp(
      title: 'Ledger CLI Flutter Example',
      theme: ThemeData(primarySwatch: Colors.green),
      home: const ExampleApp()
    )
  );
}

class ExampleApp extends StatelessWidget {
  const ExampleApp({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
          title: const Text('Ledger CLI Flutter Example')
      ),
      body: BalanceTable(
        balanceResult: BalanceResult(
            balances: [
              BalanceEntry(
                  account:'Assets:checking',
                  denominatedAmount: DenominatedAmount(5, 'USD')
              )
            ]
        ),
      ),
    );
  }
}
0
likes
100
pub points
10%
popularity

Publisher

verified publisherswiftllama.net

Flutter components for displaying ledger-cli data

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter, intl, ledger_cli

More

Packages that depend on ledger_cli_flutter